{% load static %}
<!DOCTYPE html>
<html lang="es">
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<meta http-equiv="content-type" content="application/vnd.ms-excel; charset=UTF-8">
<head>
  <title> Movimientos Caja Dolar</title> 
  <link href="{% static 'bootstrap/css/bootstrap-datetimepicker.css' %}" rel="stylesheet"/>
  <link href="{% static 'css/waitMe.css' %}" rel="stylesheet"/>
  <link href="{% static 'bootstrap/css/bootstrap.min.css' %}" rel="stylesheet"/> 
  <link href="{% static 'css/font-awesome.min.css' %}" rel="stylesheet"/>  

  <script src="{% static 'bootstrap/js/jquery.min.js' %}"></script>
  <script src="{% static 'bootstrap/js/bootstrap.min.js' %}"></script>
  <script src="{% static 'bootstrap/js/Moment.js' %}"></script>
  <script src="{% static 'bootstrap/js/bootstrap-datetimepicker.js' %}"></script>
  <script src="{% static 'js/jspdf.min.js' %}"></script>
  <script src="{% static 'js/jspdf.plugin.autotable.js' %}"></script>
  <script src="{% static 'js/FileSaver.min.js' %}"></script>
  <script src="{% static 'js/jquery.wordexport.js' %}"></script>
  <script src="{% static 'js/printThis.js' %}"></script>
 <script src="{% static 'js/apiLoad.js' %}"></script>
  <script src="{% static 'js/waitMe.min.js' %}"></script>
  <script src="{% static 'bootbox/js/bootbox.min.js' %}"></script>

  <style type="text/css">
     td.row{
        padding: 2px;
        border-right-width: 1px;
        border-right-color: #4C4B4B;
        border-right-style: solid;
        margin-top: 0px;
        border-bottom-width: 1px;
        border-bottom-style:dashed;
        border-bottom-color: #7A7979;
    }
    
    body{
      font-size: 10px;
      margin-left: 10px;
    }

    .waitMe_container .waitMe .waitMe_text {
        position: relative;
        margin: 20px 0 0;
        font-size: 25px;
    }
    /*table*/
    .table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
      padding: 4px;
      line-height: 1.42857143;
      vertical-align: top;
      border-top: 1px solid #ddd;
    }
  </style>
   
</head>
<body id="bodyCierre" style="background-color: #dbe4ef;"> 
<div class="row" >
    <div class="" role="alert" align="center" id="ExitoMensaje">
      <h4 id="texto"></h4>
    </div>
</div>
<div class="row">
  <div style="margin-left:40px">
    <a class="btn btn-danger"  href="/Movimientos_admin_tem/" role="button"><i class="fa fa-mail-reply"></i> Atras</a> 
    <button type="button" class="btn btn-primary" id="refresh"><i class="fa fa-refresh"></i> Actualizar</button>
  </div>
</div>
<div class="row">
  <div style="margin-left:40px">
    <div class="checkbox" id="campoChk">
      <label class="checkbox-inline" style="font-size: initial;"><input type="checkbox" id="cierrefecha" value="1">Ver movimientos de otras fechas</label>
    </div>
  </div>
</div>

<div class="row"  id="campoCierre">
  <div class="col-md-2" id="combob" style="margin-left:40px">
    <select class="form-control" id="comboFiltroF">
      <option value="h">Hoy</option>
      <option value="f">Fecha</option>
      <option value="ef">Entre Fechas</option>
    </select>
    <p></p>
  </div>
  <div class="col-md-2" style="margin-left:40px">
    <input type="text" class="form-control" id="txtfecha1">
    <p></p>
  </div>
  <div class="col-md-2">
    <input type="text" class="form-control" id="txtfecha2">
    <p></p>
  </div>
  <script type="text/javascript">
    $(document).ready(function (){
      $('#txtfecha1').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfecha2').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
    });
  </script>
  <div class="col-md-1" >
    <button type="button" class="btn btn-primary " id="buscarF">Filtrar</button>
    <p></p>
  </div>
</div>
<br>
<div class="row" id="campoI">
  <div class="imp">
      <div style="margin-left:25px">
        <h4> <strong> SISTEMA INTEGRAL </strong> </label></h4>  
        <label> FECHA: <strong id="fechaOperacion"> </strong> </label>
      </div>
      
      <div style="margin-left:25px">
        <h4> <strong> COMPRA Y VENTA DE DOLARES </strong></h4>
      </div>

      <div style="margin-left:25px">
        <h5> BASE : <strong>{{ oficina }}</strong></h5>
      </div>
      
      <div style="margin-left:25px">
        <h5> OPERADOR: <strong>{{ operador }}</strong></h5>
      </div>
      <div style="margin-left:25px">
        <h5>DESDE: <strong id="fechad" style="margin-right: 10px;">{{ fd }} </strong>
            HASTA: <strong id="fechah">{{ fh }}</strong></h5>
      </div>
  </div>
 
  <br>

  
  <div class="imp" style="text-align:center">
    <h5><strong> MOVIMIENTOS VENTANILLA - CUADRE CAJA</strong></h5>
  </div>

  <div class="imp">
    <div >
       <table style="margin: 0 auto" id="headerDolares">
        <tr>
          <td width="48%">
            <strong id="titulo1MD">========================================================= DESCRIPCIÓN DE MOVIMIENTOS=============================================================== </strong>
          </td>
           
          <td width="25%">
            <strong  id="titulo2MD"> ================================== DOLARES ================================== </strong>
          </td>
        </tr>   
      </table>
    </div>
    <br>
    <div >
      <table id="IED" class="table table-bordered table-striped">
      <thead>
        <tr>
          <td width="10%" style="text-align:center">
            <label> OPERACIÓN</label>
          </td>
          <td width="45%" style="text-align:center">
            <label>CONCEPTO DETALLE</label>
          </td>
          <td width="10%">
            <label>FECHA</label>
          </td>
          <td width= "5%">TC</td><!-- tepo de cambio-->
           <td width="9%">
            <label> INGRESO</label>
          </td>
          <td width="8%">
            <label> EGRESO</label>
          </td>
        </tr>
      
        <tr>
          <td width="10%"></td>
          <td width="40%"> <LABEL> SALDO ANTERIOR</LABEL> </td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td id="sid"></td>
          <td>&nbsp;</td>
        </tr>
         
      </thead>
      <tbody id="listaIED">
        
      </tbody>
      <tfoot>
        
        <tr>
            <td width="10%">
               &nbsp;
            </td>
            <td width="40%">
              &nbsp;
            </td>
            <td width="10%" class="row">
              &nbsp;
            </td>
            
            <td width="5%" class="row">
              <label id="tpromtc"></label>
            </td>
            <td width="9%">
             &nbsp;
            </td>
            <td width="8%">
              &nbsp;
            </td>
        </tr>
       
        <tr>
            <td width="10%"></td>
            <td width="40%"></td>
            <td width="10%" style="text-align:right" class="row">
              <label> SUB-TOTAL</label>
            </td>
            <td width="8%" class="row">
              <label> &nbsp;</label>
            </td>
             <td width="9%" class="row">
              <label id="ID"></label>
            </td>
            <td width="8%" class="row">
              <label id="ED"></label>
            </td>
        </tr>
       
        <tr>
            <td width="10%"></td>
            <td width="40%"></td>
            <td width="10%" style="text-align:right">
              <label> </label> 
            </td>
             <td width="9%" class="row" style="text-align:right">
              <label> SALDO TOTAL: </label>
            </td>
            <td width="8%" class="row">
              <label id="SD"></label>
            </td>
        </tr>
      </tfoot>  
      </table>
    </div>
  </div>
  <br>




  <div class="imp">
    <div >
       <table style="margin: 0 auto" id="headerSoles">
        <tr>
          <td width="48%">
            <strong id="titulo1MS">========================================================= DESCRIPCIÓN DE MOVIMIENTOS=============================================================== </strong>
          </td>
           
         <td width="25%">
            <strong id="titulo2MS"> ================================== SOLES ================================== </strong>
          </td>
        </tr>   
      </table>
 
    </div>
    <br>
    <div >
      <table id="IES" class="table table-bordered table-striped">
      <thead>
        <tr>
          <td width="10%" style="text-align:center">
            <label> OPERACION</label>
          </td>
          <td width="40%" style="text-align:center">
            <label>CONCEPTO DETALLE</label>
          </td>
          <td width="10%">
            <label>FECHA</label>
          </td>
           <td width="9%">
            <label> INGRESO</label>
          </td>
          <td width="8%">
            <label> EGRESO</label>
          </td>
        </tr>
        
        <tr>
          <td width="10%"></td>
          <td width="40%"> <LABEL> SALDO ANTERIOR</LABEL> </td>
          <td>&nbsp;</td>
          <td id="sis"></td>
          <td>&nbsp;</td>
        </tr>
         
      </thead>
      <tbody id="listaIES">
       
      </tbody>
      <tfoot>
        
        <tr>
            <td width="10%">
               &nbsp;
            </td>
            <td width="40%">
              &nbsp;
            </td>
            <td width="10%" class="row">
              &nbsp;
            </td>
            <td width="9%">
             &nbsp;
            </td>
            <td width="8%">
              &nbsp;
            </td>
        </tr>
       
        <tr>
            <td width="10%"></td>
            <td width="40%"></td>
            <td width="10%" style="text-align:right" class="row">
              <label> SUB-TOTAL</label>
            </td>
             <td width="9%" class="row">
              <label id="IS"></label>
            </td>
            <td width="8%" class="row">
              <label id="ES"></label>
            </td>
        </tr>
       
        <tr>
            <td width="10%"></td>
            <td width="40%"></td>
             <td width="9%" class="row" style="text-align:right">
              <label>SALDO TOTAL </label>
            </td>
            <td width="8%" class="row">
              <label id="SS"></label>
            </td>
        </tr>
      </tfoot>  
      </table>
    </div>
  </div>
  <br>
  <div >
      <div align="center">
          <button type="button" class="btn btn-inverse bc" id="CerrarC"><i class="fa fa-print"></i> Imprimir</button>
      </div>
      <br>
  </div>
</div>

<br>
</body>
  <script type="text/javascript">
    var bi=false,be=false;
    var pkCa ={{ pkc }};
    var listaSI="",listaSE="";
    var listaMI="",listaME="";
    var listaDI="",listaDE="";
    var operadorGlobal="";
    var urlbtt="{% static 'img/btt.png' %}";
    $(document).ready(function(){
      var fecha = new Date();
      var mes = [
          "Enero",
          "Febrero",
          "Marzo",
          "Abril",
          "Mayo",
          "Junio",
          "Julio",
          "Agosto",
          "Septiembre",
          "Octubre",
          "Noviembre",
          "Diciembre"
          ];
      var textofecha= fecha.getDate() + " de " + mes[fecha.getMonth()] + " del " + fecha.getFullYear();
      var hora = new Date();
      var textohora = hora.getHours() + ":" + hora.getMinutes();
      $("#fechaOperacion").text(textofecha+" "+textohora);
      $("#fechaOperacionT").text(textofecha+" "+textohora);
      var aux='';
      ajax_validar();
      $("#txtfecha1").hide();
      $("#txtfecha2").hide();
      $("#imprime").prop('disabled',true);

      $("#comboFiltroF").change(function(){
        $("#fechad").text("");
        $("#fechah").text("");
        $("#fechadT").text("");
        $("#fechahT").text("");
        if($("#comboFiltroF").val()=="ef"){
          $("#txtfecha1").show();
          $("#txtfecha1").prop("value","");
          $("#txtfecha2").show();
          $("#txtfecha2").prop("value","");
          }
        if($("#comboFiltroF").val()=="f"){
          $("#txtfecha1").prop("value","");
          $("#txtfecha1").show();
          $("#txtfecha2").prop("value","");
          $("#txtfecha2").hide();
          }
        if($("#comboFiltroF").val()=="h"){
          $("#txtfecha1").prop("value","");
          $("#txtfecha1").hide();
          $("#txtfecha2").prop("value","");
          $("#txtfecha2").hide();
          }
      });
      
      $('#imprime').click(function() {
          imprimirSD();
      });

      $("#cerraCaja").click(function(){
        run_waitMe($('#bodyCierre'), 1, "pulse","Cerrando Caja. Espere un momento...");

        $("#texto_obse").text($("#obse").val());
        $("#obse").hide();
        cierreSolesDolares_ajax();
      })
     
      function imprimirSD(){
          var doc = new jsPDF('p', 'pt'); 
          var resd= doc.autoTableHtmlToJson(document.getElementById("IED"));
          var ress= doc.autoTableHtmlToJson(document.getElementById("IES"));

          var base='{{ SITE_URL }}';
          var operador='{{ usu_n_c }}';

          doc.setFontSize(10);
          doc.setFontStyle('bold');
          doc.text("SISTEMA INTEGRAL - CIERRE CAJA - COMPRA Y VENTA DE DOLARES", 10, 20);
          doc.setFontSize(8);
          doc.setFontStyle('normal');
          doc.text("BASE : " + base, 10, doc.autoTableEndPosY()+35);
          doc.text("OPERADOR: "+ operador, 10, doc.autoTableEndPosY()+50);
          doc.text("FECHA DESDE : "+$("#fechad").text(), 10, doc.autoTableEndPosY()+65);
          doc.text("FECHA HASTA : "+$("#fechah").text(), 140, doc.autoTableEndPosY()+65);
          
          doc.setFontSize(8);
          doc.setFontStyle('bold');


          doc.text("MOVIMIENTOS DOLARES", 10, doc.autoTableEndPosY()+85);
          doc.autoTable(resd.columns, resd.data, {
              startY: 95,
              margin: {horizontal: 10},
              headerStyles: {rowHeight: 12, fontSize: 7,valign: 'middle'},
              styles: {overflow: 'linebreak'},
              bodyStyles: {rowHeight: 12, fontSize: 8, valign: 'middle'}, 
              theme: 'grid',
              pageBreak: 'avoid',
          });

          doc.text("MOVIMIENTOS SOLES", 10, doc.autoTableEndPosY()+20);

          doc.autoTable(ress.columns, ress.data, {
              startY: doc.autoTableEndPosY()+30,
              margin: {horizontal: 10},
              headerStyles: {rowHeight: 12, fontSize: 7,valign: 'middle'},
              styles: {overflow: 'linebreak'},
              bodyStyles: {rowHeight: 12, fontSize: 8, valign: 'middle'}, 
              theme: 'grid',
              pageBreak: 'avoid',
          });

          doc.text("Saldo que aparece en el sistema SOLES : "+ $("#sis_S").text()+ " DOLARES : "+$("#sis_D").text(), 10, doc.autoTableEndPosY()+30);

          doc.text("Observaciones : "+ $("#obse").val(), 10, doc.autoTableEndPosY()+50);

          doc.save('MovimientosCajaDolar.pdf'); 
      }



      /*$("#ImprimirC").click(function(){
        imprimir();
      });*/
      //
      $("#buscarF").click(function(){
        $("#listaIES").html(" ");
        $("#listaIED").html(" ");
        if ($("#comboFiltroF").val()=='h' || $("#comboFiltroF").val()=='-1'){
           Date.prototype.yyyymmdd = function() {
              var yyyy = this.getFullYear().toString();
              var mm = (this.getMonth()+1).toString(); // getMonth() is zero-based
              var dd  = this.getDate().toString();
              return yyyy + "-" + (mm[1]?mm:"0"+mm[0]) + "-" + (dd[1]?dd:"0"+dd[0]); // padding
            };

            d = new Date();
          $("#fechad").text(d.yyyymmdd());
          $("#fechadT").text(d.yyyymmdd());
        }
        else{
          //var t=$('#txtfecha1').val() +"  al  "+$('#txtfecha2').val();
          $("#fechad").text($('#txtfecha1').val());
          $("#fechah").text($('#txtfecha2').val());
          $("#fechadT").text($('#txtfecha1').val());
          $("#fechahT").text($('#txtfecha2').val());
        }
        ajax_validar();
      });
      
      $("#refresh").click(function(){
        $("#listaIES").html(" ");
        $("#listaIED").html(" ");
        $("#listaIEM").html(" ");
        if ($("#comboFiltroF").val()=='h' || $("#comboFiltroF").val()=='-1'){
           Date.prototype.yyyymmdd = function() {
              var yyyy = this.getFullYear().toString();
              var mm = (this.getMonth()+1).toString(); // getMonth() is zero-based
              var dd  = this.getDate().toString();
              return yyyy + "-" + (mm[1]?mm:"0"+mm[0]) + "-" + (dd[1]?dd:"0"+dd[0]); // padding
            };

            d = new Date();
          $("#fechad").text(d.yyyymmdd());
          $("#fechadT").text(d.yyyymmdd());
        }
        else{ 
          $("#fechad").text($('#txtfecha1').val());
          $("#fechah").text($('#txtfecha2').val());

          $("#fechadT").text($('#txtfecha1').val());
          $("#fechahT").text($('#txtfecha2').val());
        }
        ajax_validar();
      })
      //
      function ajax_Ingreso(){
        $.ajax({
          data:{'filtro':$('#comboFiltroF').val(),'F1':$('#fechad').text(),'F2':$('#fechah').text(),'pkC':pkCa},
          url:'/consultaIngreso_dolar_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            var html1 ="";
            var html2 ="";
            var htmlIR="";
            var htmlIRD="";


            bi=false;
            for(var i=0;i<data.length-1;i++){
             if (data[i].moneda =="soles"){
                html1 += '<tr><td width="10%" class="row"><label> '+data[i].tipodoc+' - '+data[i].nroR+'</label></td><td width="40%" class="row"><label>'+data[i].concepto+'</label></td><td width="10%" class="row"><label>'+data[i].fecha+'</label></td><td width="9%" class="row"><label>'+data[i].monto+'</label></td><td width="8%" class="row"><label>&nbsp;</label></td></tr>';

                 htmlIR += '<tr><td width="40%" style="font-size: 15px">'+data[i].tipodoc+' - '+data[i].nroR+'</td><td width="80%" style="font-size: 15px">'+data[i].fecha+'</td><td width="30%"><label> &nbsp;</label></td><td width="40%"  style="font-size: 15px">'+data[i].monto+'</td></tr>';
              }
              else{
                html2 += '<tr><td width="10%" class="row"><label> '+data[i].tipodoc+' - '+data[i].nroR+'</label></td><td width="40%" class="row"><label>'+data[i].concepto+'</label></td><td width="10%" class="row"><label>'+data[i].fecha+'</label></td><td width="5%" class="row"><label>'+data[i].tc+'</label></td><td width="9%" class="row"><label>'+data[i].monto+'</label></td><td width="8%" class="row"><label>&nbsp;</label></td></tr>';
              
                 htmlIRD += '<tr><td width="40%" style="font-size: 15px">'+data[i].tipodoc+' - '+data[i].nroR+'</td><td width="80%" style="font-size: 15px">'+data[i].fecha+'</td><td width="30%"><label> &nbsp;</label></td><td width="40%"  style="font-size: 15px">'+data[i].monto+'</td></tr>';
              }
            }

            //$("#movSolesRecibo").html(htmlIR);

            listaSI = html1;
            listaDI = html2;

            listaSIR=htmlIR;
            listaDIR=htmlIRD;

            //console.log(html1);
            //console.log(html2);
            //$('#listaI').html(html);
            $("#IS").text(data[data.length-1].total_soles);
            $("#ID").text(data[data.length-1].total_dolares);
            
            $("#ISR").text(data[data.length-1].total_soles);
            $("#IDR").text(data[data.length-1].total_dolares);
            
            //$("#CS").text(data[data.length-1].util_soles);
            //$("#CD").text(data[data.length-1].util_dolares);
            bi=true;
            ajax_Egreso(html1,html2,htmlIR,htmlIRD);
            /*
            if(bi&&be){
              $("#listaIES").html(listaSI+listaSE);
              $("#listaIED").html(listaDI+listaDE);
              ajax_saldo_inicial();
              calcular_Saldo();
            }*/
          }, 
          error: function(xhr, textStatus, errorThrown) {
                console.log(xhr.responseText);
          },
        });
      };
      function ajax_Egreso(listaIs,listaId,listaIsR,listaIdR){
        $.ajax({
          data:{'filtro':$('#comboFiltroF').val(),'F1':$('#fechad').text(),'F2':$('#fechah').text(),'pkC':pkCa},
          url:'/consultaEgreso_dolar_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            var html1 ="";
            var html2 ="";
            var htmlER="";
            var htmlERD="";

            be=false;
            for(var i=0;i<data.length-1;i++){
                if (data[i].moneda =="soles"){
                html1 += '<tr><td width="10%" class="row"><label> '+data[i].tipodoc+' - '+data[i].nroR+' &#9658 </label></td><td width="40%" class="row"><label>'+data[i].concepto+'</label></td><td width="10%" class="row"><label>'+data[i].fecha+'</label></td><td width="9%" class="row"><label>&nbsp;</label></td><td width="8%" class="row"><label>'+data[i].monto+'</label></td></tr>';

                 htmlER += '<tr><td width="40%" style="font-size: 15px">'+data[i].tipodoc+' - '+data[i].nroR+'</td><td width="80%" style="font-size: 15px">'+data[i].fecha+'</td><td width="30%"><label> &nbsp;</label></td><td width="40%"  style="font-size: 15px">'+data[i].monto+'</td></tr>';

              }else{
                html2 += '<tr><td width="10%" class="row"><label> '+data[i].tipodoc+' - '+data[i].nroR+' &#9658 </label></td><td width="40%" class="row"><label>'+data[i].concepto+'</label></td><td width="10%" class="row"><label>'+data[i].fecha+'</label></td><td width="5%" class="row"><label> '+data[i].tc+'</label></td><td width="9%" class="row"><label>&nbsp;</label></td><td width="8%" class="row"><label>'+data[i].monto+'</label></td></tr>';
                htmlERD += '<tr><td width="40%" style="font-size: 15px">'+data[i].tipodoc+' - '+data[i].nroR+'</td><td width="80%" style="font-size: 15px">'+data[i].fecha+'</td><td width="30%"><label> &nbsp;</label></td><td width="40%"  style="font-size: 15px">'+data[i].monto+'</td></tr>';
              }
            }
            listaSE=html1;
            listaDE=html2;
            listaSER=htmlER;
            listaDER=htmlERD;

            //$('#listaE').html(html);
            $("#ES").text(data[data.length-1].total_soles);
            $("#ED").text(data[data.length-1].total_dolares);


            $("#ESR").text(data[data.length-1].total_soles);
            $("#EDR").text(data[data.length-1].total_dolares);

            be=true;
            var aux1=listaIs+html1
            var aux2=listaId+html2

            //var auxISR=listaIsR;//+htmlER;

            $("#listaIES").html(aux1);
            $("#listaIED").html(aux2);
            $("#movISolesRecibo").html(listaIsR);
            $("#movESolesRecibo").html(htmlER);
            $("#movIDolaresRecibo").html(listaIdR);
            $("#movEDolaresRecibo").html(htmlERD);
              //ajax_saldo_inicial();
            calcular_Saldo();
          },
           error: function(xhr, textStatus, errorThrown) {
                console.log(xhr.responseText);
          },
        });
      };
     
      function ajax_saldo_inicial(){
        $.ajax({
          url:'/saldoinicialDolares_ajax/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
           $('#sis').text(data[0].sis);
           $('#sisr').text(data[0].sis);
           $('#sidr').text(data[0].sid);
           $("#sid").text(data[0].sid);
           calcular_Saldo();
          },
           error: function(xhr, textStatus, errorThrown) {
                console.log(xhr.responseText);
          },
        });
      };
      

      //
     
      function ajax_validar(){//falta
          $("#listaIES").html("");
          $("#listaIED").html("");
          ajax_Ingreso(); 
          $("#CerrarC").show();
          $("#sdSistema").removeClass("hidden");
          $("#ssSistema").removeClass("hidden");
          //$("#detalle").show();
          if ($("#comboFiltroF").val()=='h' || $("#comboFiltroF").val()=='-1'){
             Date.prototype.yyyymmdd = function() {
                var yyyy = this.getFullYear().toString();
                var mm = (this.getMonth()+1).toString(); // getMonth() is zero-based
                var dd  = this.getDate().toString();
                return yyyy + "-" + (mm[1]?mm:"0"+mm[0]) + "-" + (dd[1]?dd:"0"+dd[0]); // padding
              };

              d = new Date();
            $("#fechad").text(d.yyyymmdd());
            $("#fechadT").text(d.yyyymmdd());
          }
          else{
            $("#fechad").text($('#txtfecha1').val());
            $("#fechah").text($('#txtfecha2').val());

            $("#fechadT").text($('#txtfecha1').val());
            $("#fechahT").text($('#txtfecha2').val());
          }
       }
           
      //
      //
      function calcular_Saldo()
      {
        //alert($("#IS").html());
        var saldosoles= parseFloat($("#IS").text())-parseFloat($("#ES").text());
        var saldodolares= parseFloat($("#ID").text())-parseFloat($("#ED").text());
        $("#SS").text(saldosoles.toString());
        $("#SD").text(saldodolares.toString());
      }


      //
    });
  </script>
 
</html>
 
